Error on bench start

I just completed every step as in github.com/frappe/bench for manual installation.
But I get the following No Process managers found error.
I have installed honcho already. Help please.

frappe@vmi120537:~/frappe-bench$ bench start
Traceback (most recent call last):
File “/usr/local/bin/bench”, line 11, in
load_entry_point(‘bench’, ‘console_scripts’, ‘bench’)()
File “/home/frappe/bench-repo/bench/cli.py”, line 40, in cli
bench_command()
File “/home/frappe/.local/lib/python2.7/site-packages/click/core.py”, line 722, in call
return self.main(*args, **kwargs)
File “/home/frappe/.local/lib/python2.7/site-packages/click/core.py”, line 697, in main
rv = self.invoke(ctx)
File “/home/frappe/.local/lib/python2.7/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/.local/lib/python2.7/site-packages/click/core.py”, line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/frappe/.local/lib/python2.7/site-packages/click/core.py”, line 535, in invoke
return callback(*args, **kwargs)
File “/home/frappe/bench-repo/bench/commands/utils.py”, line 11, in start
start(no_dev=no_dev, concurrency=concurrency)
File “/home/frappe/bench-repo/bench/utils.py”, line 339, in start
raise Exception(“No process manager found”)
Exception: No process manager found

frappe@vmi120537:~$ sudo -H pip install honcho
[sudo] password for frappe:
Requirement already satisfied: honcho in /root/.local/lib/python2.7/site-packages

1 Like
$ pip --user install honcho

Avoid root please.

1 Like

Hi and thanks for the reply.
The user flag doesn’t work with pip. And when I run:

pip install honcho

I again get

Requirement already satisfied: honcho in /root/.local/lib/python2.7/site-packages

Do I have to add it to the PATH? If yes, kindly let me know how.
Thanks.

Adding the path should work

echo 'export PATH="/root/.local/bin:$PATH"' >> ~/.bashrc

No luck with that either.
Same No Process manager found error.

source ~/.bashrc ?

Still nothing. Same error

To avoid issues be sure to run install with sudo from non-root user account…

2 Likes

Yes I’ve been doing that lately. Thanks

I’m having the same error on a manually installed Erpnext.
Tried above suggestion but no success.

pip install --user honcho
Requirement already satisfied: honcho in /home/frappe/.local/lib/python2.7/site-packages (1.0.1)

Any update ?

I started fresh with a new Ubuntu instance, and installed with easy install script. Worked like a charm.

Unfortunately this is not an option in my case.

reinstalling honcho as root solved the problem.

1 Like

I do not know that following process is best practice…but it worked for me.

  1. remove honcho - pip uninstall honcho
  2. sudo -H pip install honcho or sudo pip install honcho.

ashokbathu’s solution worked for me although not the whole thing i just had to run
$ sudo -H pip install honcho

I come across this with a fresh install of 13.26.0.

Suddenly honcho is not there… very weird…